import { world } from "@minecraft/server";

world.afterEvents.entityHurt.subscribe((event) => {
    const damager = event.damageSource.damagingEntity;
    const damaged = event.hurtEntity;
    const damage = event.damage;

    if (!damager || !damaged) return;

    if (damager.typeId === 'zombie:megumin') {
        if (damaged.typeId !== 'zombie:explosion_majic') {
            if (damage === 0) {
                damager.runCommand(`summon zombie:explosion_majic ${damaged.location.x} ${damaged.location.y} ${damaged.location.z}`);
                damager.runCommand('effect @s resistance 42 255 true');
                damager.runCommand('effect @s fire_resistance 42 255 true');
                damaged.runCommand('effect @s slowness 30 40 true');
            }
        }
    }
});